Summary:	Network traffic accounting daemon
Name:		netacct-mysql
Version:	0.78
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://netacct-mysql.gabrovo.com/
Source0:	http://netacct-mysql.gabrovo.com/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-initscript.patch
Patch1:		netacct-mysql-lib64_shared.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	MySQL-devel
BuildRequires:	libpcap-devel >= 0.7
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Traffic Accounting Daemon with mysql support Network traffic
accounting daemon which stores data in mysql. Support for per hour
statistics, peering/international traffic accounting.

%prep

%setup -q
%patch0 -p0
%patch1 -p0

%build
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7 --add-missing --copy; autoconf --force

export LIBS="$LIBS -L%{_libdir} -lmysqlclient"

%configure2_5x \
    --with-mysql=%{_prefix}

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

%makeinstall_std

install -d %{buildroot}%{_initrddir}
install -m0755 contrib/nacctd.redhat %{buildroot}%{_initrddir}/%{name}

# nuke rpath
chrpath -d %{buildroot}%{_sbindir}/nacctd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS FAQ INSTALL NEWS README* TODO netacct.sql contrib/nacctpeering.*
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nacctpeering
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/naccttab
%{_mandir}/man8/nacctd.8*
%{_mandir}/man8/nacctpeering.8*
%{_sbindir}/nacctd


%changelog
* Sat Feb 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.78-2mdv2007.0
+ Revision: 116082
- bump release
- added P1 (lib64 and shared fixes)
- Import netacct-mysql



* Thu Jan 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.78-1mdk
- 0.78

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.76-4mdk
- rebuilt against MySQL-5.0.15

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.76-3mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.76-2mdk
- rebuilt against MySQL-4.1.x system libs

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.76-1mdk
- 0.76
- new url, fix deps, use macros
- drop P1, it's included

* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.75-3mdk
- fix buildrequires
- add pl2 patch (P1)
- misc spec fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.75-2mdk
- build release

* Sun Sep 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.75-1mdk
- initial cooker contrib
